//---------------------------------------------------------------------------

#include <fmx.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.fmx"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
	FDConnection1->Close();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
	if (FDConnection1->Connected) {
		FDConnection1->Close();
	}
	#if defined(TARGET_OS_IPHONE) || defined(__ANDROID__)
		FDConnection1->DriverName = "IBLite";
	#else
		if (cbdriver->Items->Strings[cbdriver->ItemIndex] == "IBLite") {
			FDConnection1->DriverName = "IBLite";
		}
		else
		{
			FDConnection1->DriverName = "IB" ;
		}
	#endif
	if ((cbServer->Items->Strings[cbServer->ItemIndex] == "none") ||
		(cbServer->Items->Strings[cbServer->ItemIndex] == "Windows_Desktop")){
			FDConnection1->Params->Values["Server"]="";
			}
		else
		{
			FDConnection1->Params->Values["Server"] =
			cbServer->Items->Strings[cbServer->ItemIndex];
		}
   #if defined(TARGET_OS_IPHONE) || defined(__ANDROID__)
	if (FDConnection1->Params->Values["Server"] == "") {
		FDConnection1->Params->Values["Database"] = System::Ioutils::TPath::GetDocumentsPath() +
		PathDelim + cbdatabase->Items->Strings[cbdatabase->ItemIndex];
	}
	else
	{
		FDConnection1->Params->Values["Database"] = cbdatabase->Items->Strings[cbdatabase->ItemIndex];
	}
	#elif defined(_PLAT_MACOS)
		if (FDConnection1->Params->Values["Server"] == "") {
			FDConnection1->Params->Values["Database"] =
				System::Ioutils::TPath::GetHomePath() +
				PathDelim + cbdatabase->Items->Strings[cbdatabase->ItemIndex];
		}
		else
		{
			FDConnection1->Params->Values["Database"] = cbdatabase->Items->Strings[cbdatabase->ItemIndex];
		}
   #elif defined(_Windows)
		FDConnection1->Params->Values["Database"] = cbdatabase->Items->Strings[cbdatabase->ItemIndex];
   #endif

   FDConnection1->Open();
   FDQuery1->Open();

}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
#if defined(TARGET_OS_IPHONE) || defined(__ANDROID__)
	cbdriver->Visible = False;
#endif
}
//---------------------------------------------------------------------------
